Tenant/Project Type
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Update project type context
Updates the context assigned to a project type.
Authorization
BearerAuthObject AuthorizationBearer <token>
Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.
In: header
Path Parameters
id*integer
Project type identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/project-types/42" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 42, "type": "web", "context": "Updated context", "productId": "7c6c2c68-2def-421a-b4d0-107351f13049"}Empty
Empty
Empty
Empty